package com.unipi.talepis.sharedpreferences1;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    SharedPreferences preferences;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        preferences= PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        String str_name=preferences.getString("name","No name yet...");
        TextView textView=(TextView)findViewById(R.id.textView);
        textView.setText("Hello "+str_name);
    }
    public void settings(View view){
        Intent intent=new Intent(this,MySettings.class);
        startActivity(intent);
    }
    @Override
    protected void onResume(){
        super.onResume();
        String str_name=preferences.getString("name","No name yet...");
        TextView textView=(TextView)findViewById(R.id.textView);
        textView.setText("Hello " + str_name);
    }
}
