package com.unipi.talepis.sharedpreferences1;

import android.app.Activity;
import android.content.Context;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MySettings extends AppCompatActivity {
    SharedPreferences preferences;
    EditText editText1,editText2,editText3,editText4;
    Button button;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_my_settings);
        preferences= PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        editText1=(EditText)findViewById(R.id.editText1);
        editText2=(EditText)findViewById(R.id.editText2);
        editText3=(EditText)findViewById(R.id.editText3);
        editText4=(EditText)findViewById(R.id.editText4);
        button=(Button)findViewById(R.id.button1);
        String str_username=preferences.getString("username","");
        String str_name=preferences.getString("name","");
        String str_email=preferences.getString("email","");
        Integer AFM=preferences.getInt("AFM",0);
        editText1.setText(str_username);
        editText2.setText(str_name);
        editText3.setText(str_email);
        editText4.setText(AFM.toString());
    }
    public void save(View view){
        SharedPreferences.Editor editor = preferences.edit();
        editor.putString("username",editText1.getText().toString());
        editor.putString("name",editText2.getText().toString());
        editor.putString("email",editText3.getText().toString());
        editor.putInt("AFM", Integer.parseInt(editText4.getText().toString()));
        editor.commit();
        Toast.makeText(this,"Settings Saved!",Toast.LENGTH_LONG).show();
    }
}
